Bug 104564 - compile failure at graphics/py-cairo on FreeBSD4
compile failure at graphics/py-cairo on FreeBSD4
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: gnome
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2006-10-19 13:20 UTC by hayashi
Modified: 2006-12-21 22:20 UTC (History)
0 users

See Also:


Attachments
file.diff (3.14 KB, patch)
2006-10-19 13:20 UTC, hayashi
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description hayashi 2006-10-19 13:20:19 UTC
compile failure at ports/graphic/py-cairo on FreeBSD4.
This is py-cairo problem, not port script.

py-cairo sources use C99 style, not ANSI-C.
and py-cairo's configure checks stdint.h, but source 'cairo/pycairo-surface.c' #include stdint.h unconditionaly.
then, py-cairo can be builded on gcc3/FreeBSD6, but cannot on gcc2.9/FreeBSD4.

at previos version of ports/graphic/py-cairo,
files/patch-cairo_pycairo-font.c(removed) patches ANSI-C style.

Fix: patch is following.

Patch attached with submission follows:
How-To-Repeat: port build at FreeBSD4
Comment 1 Edwin Groothuis freebsd_committer 2006-10-19 13:49:21 UTC
Responsible Changed
From-To: freebsd-ports-bugs->gnome

Over to maintainer
Comment 2 mezz freebsd_committer 2006-11-05 06:41:21 UTC
State Changed
From-To: open->feedback

Please send this patch to the upstream (in their bugzilla). If they accept 
this patch then I shall commit in our ports tree and it will be remove in 
the next update. If they don't accept and support old GCC then this patch 
won't go in. Please let us know the bug number for we can keep it on track. 
Thanks!
Comment 3 mezz7 2006-11-16 16:53:20 UTC
Not sure if you have sent me an email about bugzilla id number, but I am=
  =

going to input in here to record in PR database for anyone to keep it up=
  =

or/and check it out. The fd.org bugzilla id is 8910[1].

BTW: Akihiko HAYASHI, thanks for took time to submit in fd.org bugzilla.=


[1] https://bugs.freedesktop.org/show_bug.cgi?id=3D8910

Cheers,
Mezz


-- =

mezz7@cox.net  -  mezz@FreeBSD.org
FreeBSD GNOME Team  -  FreeBSD Multimedia Hat (ports, not src)
http://www.FreeBSD.org/gnome/  -  gnome@FreeBSD.org
http://wiki.freebsd.org/multimedia  -  multimedia@FreeBSD.org
Comment 4 mezz7 2006-11-17 05:02:40 UTC
Let's try it again, my email body was screwed up...... (trying to tweak =
in  =

my email client)

Not sure if you have sent me an email about bugzilla id number, but I am=
  =

going to input in here to record in PR database for anyone to keep it up=
  =

or/and check it out. The fd.org bugzilla id is 8910[1].

BTW: Akihiko HAYASHI, thanks for took time to submit in fd.org bugzilla.=


[1] https://bugs.freedesktop.org/show_bug.cgi?id=3D8910

Cheers,
Mezz


-- =

mezz7@cox.net  -  mezz@FreeBSD.org
FreeBSD GNOME Team  -  FreeBSD Multimedia Hat (ports, not src)
http://www.FreeBSD.org/gnome/  -  gnome@FreeBSD.org
http://wiki.freebsd.org/multimedia  -  multimedia@FreeBSD.org
Comment 5 mezz freebsd_committer 2006-12-21 22:14:32 UTC
State Changed
From-To: feedback->closed

Committed, thanks!
Comment 6 dfilter freebsd_committer 2006-12-21 22:15:00 UTC
mezz        2006-12-21 22:14:20 UTC

  FreeBSD ports repository

  Added files:
    graphics/py-cairo/files patch-freebsd4 
  Log:
  Fix the build with FreeBSD 4.x. This patch has been merged in its CVS.
  
  PR:             ports/104564
  Bugzilla:       https://bugs.freedesktop.org/show_bug.cgi?id=8910
  Submitted by:   Akihiko HAYASHI <hayashi@totalware.gifu.gifu.jp>
  
  Revision  Changes    Path
  1.1       +97 -0     ports/graphics/py-cairo/files/patch-freebsd4 (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"